\section{Introduction to Monte Carlo}

\begin{frame}
    \frametitle{What is the use of Monte Carlo techniques?}

    \begin{itemize}
        \item Numerical solution of a (complex) macroscopic problem, by simulating smaller interactions.
        \item It's not only constrained to physics, it can be used for many other types of research such as: finances, traffic or even social studies.
            \begin{itemize}
                \item It can apply for numeric problems as well (e.g. Integrals) not necessarily probabilistic problems.
            \end{itemize}
        \item Generate configurations or arrangements.
            \begin{itemize}
                \item People like to have a good view hence they will chose seats with the best view.
                \item People prefer to sit in the aisle seat so the can access the bathroom easier.
                \item Only one person can occupy any given seat.
            \end{itemize}
        \item The analytic solution can be impossible or extremely difficult to solve, i.e. MC is more effective.
    \end{itemize}
\end{frame}

\begin{frame}
    \frametitle{What is the use of Monte Carlo techniques?}

    \begin{itemize}
        \item In MC you don't consider laws to be laws, rather they are considered working assumptions.
        \item Here we use reverse engineering if you will. By generating random distributions according to our assumptions, rules and so on, we can find "laws" or patterns that better explain these behaviors.
            \begin{itemize}
                \item Use MC to build a theory of a complex system by comparing it with real experiments.
            \end{itemize}

    \end{itemize}
\end{frame}

\begin{frame}
    \frametitle{Monte Carlo in science}

    \begin{itemize}
        \item In physics, elementary laws are known (usually), MC is therefore used to predict the outcome of larger experiments.
        \item It can be used to prove or disprove a theory, and/or to provide small corrections to the theory.
    \end{itemize}

    In this course we will use Monte Carlo for particle tracking.
\end{frame}

\begin{frame}
    \frametitle{Monte Carlo in science}

    \begin{center}
        \includegraphics[scale=.40]{resources/theo_sim_exp}
    \end{center}
\end{frame}

\begin{frame}
    \frametitle{Monte Carlo vs Analytic Solutions}

    Simple. If you value you life and wish to find a solution before dying, then use Monte Carlo.

    \begin{center}
        \includegraphics[scale=.40]{resources/mc_theo_comp}
    \end{center}
\end{frame}

\begin{frame}
    \frametitle{Simple MC application: Task 0}

    \begin{columns}
        \column{0.5\textwidth}
        To calculate $ \pi $ you do the following:

        \begin{itemize}
            \item (N) Shoot N points in a fourth of a circle of radius 1.
            \item (n) Count how many of the points satisfy $x^2+y^2 \le 1$.
            \item $n/N = \pi/4$
                \vspace{.5cm}
                \includegraphics[scale=.3]{resources/pi_mc}
        \end{itemize}
        \column{0.5\textwidth}
        \includegraphics[scale=.3]{resources/pi_mc_conv}
        \begin{itemize}
            \item Convergence as $\frac{1}{\sqrt{N}}$
        \end{itemize}
    \end{columns}
\end{frame}

\begin{frame}
    \frametitle{Common applications in physics}

    \begin{columns}
        \column{0.5\textwidth}
        \begin{itemize}
            \item Track a $\gamma$-ray in a semi-infinite detector and determine the energy spectrum deposited.
            \item All the physics we need are in textbooks (Compton scattering, photoelectric, etc..)
            \item Yet, the analytic solution is a nightmare.
        \end{itemize}
        \column{0.5\textwidth}
        \includegraphics[scale=.3]{resources/gamma_ex1}
    \end{columns}
\end{frame}

\begin{frame}
    \frametitle{Common applications in physics}

    \begin{columns}
        \column{0.6\textwidth}
        \begin{itemize}
            \item Track a $\gamma$-ray in a finite detector (e.g. a NaI).
            \item Analytic computation is nearly impossible.
                \begin{itemize}
                    \item Monte Carlo for the win.
                \end{itemize}
            \item Now being realistic, modern detectors are much more complex than a simple cylinder, and have various components.
        \end{itemize}
        \column{0.4\textwidth}
        \includegraphics[scale=.4]{resources/gamma_ex2}
    \end{columns}
\end{frame}

\begin{frame}
    \frametitle{Particle Tracking}

    \begin{columns}
        \column{0.5\textwidth}
        \begin{itemize}
            \item The distance between two subsequent interactions (s) have the following distribution:
                $$p(s)=\mu e^{- \mu s}$$
                Where $\mu$ is the property of the medium (supposed to homogeneous) and of the physics considered.
            \item If a medium is not homogeneous then:
                $$p(s) = \mu (s) e^{- \int_{0}^{s} \mu(s') ds'}$$
        \end{itemize}

        \column{0.5\textwidth}
        \includegraphics[scale=.4]{resources/pt_s}
        \begin{itemize}
            \item Transition between two homogeneous materials goes as:
                $$\mu(z)=\theta(b-z)\mu_1 + \theta(b-z)\mu_2$$
        \end{itemize}
    \end{columns}
\end{frame}

\section{Particle Tracking}

\begin{frame}
    \frametitle{Particle Tracking}

    \begin{itemize}
        \item $\mu$ is proportional to the total cross section and depends on the density of the material:
            $$ \mu = N\sigma = N \sum_i \sigma_i = \sum_i \mu_i $$
        \item All competing processes contribute with their own $\mu_i$
        \item Each process takes place with probability $\mu_i/\mu$ i.e. proportional to the total cross section.
    \end{itemize}
\end{frame}

\begin{frame}
    \frametitle{Particle Tracking: Basic Recipe}

    \begin{itemize}
        \item Divide the trajectory of the particle in "steps".
            \begin{itemize}
                \item Straight free-flight tracks between consecutive interactions.
                \item Steps can also be limited by geometric boundaries.
            \end{itemize}
        \item Decide the step length s, by sampling according to $p(s)=\mu e ^{-\mu s}$ (Non uniform random numbers, ask the professor so he can wow you of how this works), with the proper $\mu$ (Remember, this depends on the material and the physics involved).
        \item Decide which interaction takes place at the end of the step, according to $\mu_i/\mu$.
        \item Produce the final state according to the physics of the interaction.
            \begin{itemize}
                \item Update direction of the primary particle.
                \item Store somewhere the possible secondary particles, to be tracked later on.
            \end{itemize}
    \end{itemize}
\end{frame}

\begin{frame}
    \frametitle{Basic Recipe}

    \includegraphics[scale=.4]{resources/tracking}

    \begin{itemize}
        \item Follow all secondaries, until they are absorbed or leave the volume.
        \item Notice: $\mu$ depends on energy (cross sections do!)
    \end{itemize}
\end{frame}

\begin{frame}
    \frametitle{Basic Recipe }

    \begin{itemize}
        \item This basic recipe works fine for $\gamma$-rays and other neutral particles.
        \item This doesn't work so well for $e^\pm$: the cross section (ionization \& bremsstrahlung) is very high, so the steps between two consecutive interactions are very small.
            \begin{itemize}
                \item CPU intensive: viable for low energies and this material.
            \end{itemize}
        \item Even worse: in each interaction only a small fraction of energy is lost, and the angular displacement is small.
            \begin{itemize}
                \item A lot of time is spent to simulate interactions having small effect.
                \item The interactions of $\gamma$ are "catastrophic": large change in energy and direction.
            \end{itemize}
    \end{itemize}
\end{frame}

\begin{frame}
    \frametitle{Mixed Monte Carlo }

    \begin{itemize}
        \item Simulate explicitly (i.e. force step) interactions only if energy is lost (or change of direction) is above a threshold $W_0$
            \begin{itemize}
                \item Detailed simulation
                \item "hard" interaction (like $\gamma$ interactions)
            \end{itemize}
        \item The effect of all sub-threshold interactions is described statistically.
            \begin{itemize}
                \item Condensed simulation
                \item "soft" interactions
            \end{itemize}
        \item Hard interactions occur much less than soft interactions.
            \begin{itemize}
                \item you recover the fully detailed simulation when $W_0 = 0$
            \end{itemize}
    \end{itemize}
\end{frame}

\begin{frame}
    \frametitle{Mixed Monte Carlo }

    \begin{itemize}
        \item Has some technical tricks:
            \begin{itemize}
                \item Since energy is lost along the step due to soft interactions, the sampled step s cannot be too long ($s < s_{max}$).
            \end{itemize}
        \item Parameter $\mu_h$ between hard collisions
            $$\mu_h = N \int_{W_0}^{E} \frac{d\sigma}{dW}(E)dW$$
            \begin{itemize}
                \item Has $\mu_h << \mu$ because the differential cross section is strongly peaked at low W (= soft secondaries)
                \item "soft" interactions
            \end{itemize}
        \item Much longer step length
    \end{itemize}
\end{frame}

\begin{frame}
    \frametitle{Mixed Monte Carlo }

    \begin{itemize}
        \item Stopping power due to soft collisions (dE/dx)
            $$S_s = N \int_{0}^{W_0} W \frac{d\sigma}{dW}(E)dW$$
        \item Average energy lost along the step: $<w>=sS_s$
            \begin{itemize}
                \item Must be $<w> << E$
            \end{itemize}
        \item Fluctuations around the average value $<w>$ have to be taken into account.
            \begin{itemize}
                \item Appropriate random sampling of w with mean value $<w>$ and variance (straggling).
            \end{itemize}
    \end{itemize}
\end{frame}


\begin{frame}
    \frametitle{Extended recipe }

    \begin{itemize}
        \item Decide the step length s, by sampling according to $p(s)=\mu_h e^{-\mu_h s}$
        \item Calculate the cumulative effect of the soft interactions along the step: sample the energy loss w, with $<w>=sS_s$, and the displacement.
        \item Update energy and directions of the primary particle at the end of the step $E_{i+1}=E-w$.
        \item Decide which interaction takes place at the end of the step, according to $\mu_{i,h}/\mu_h$
        \item Produce the final state according to the physics of the interaction ($\frac{d^2 \sigma}{d\Omega dE}$).
    \end{itemize}
\end{frame}

\begin{frame}
    \frametitle{Extended Recipe}

    \includegraphics[scale=.4]{resources/tracking++}

    \begin{itemize}
        \item Follow all secondaries, until they are absorbed or leave the volume.
    \end{itemize}
\end{frame}
